プロジェクトのすべてのAPIキーを一覧表示します。プロジェクトスコープは ルート ID パス パラメーターによって保持され、 組織はそのプロジェクトから派生します。
GET /api/v1 /projects/{id}/keys
curl \
--request GET 'https://agentengine.mongodb.com/api/v1/projects/{id}/keys' \
--header "Authorization: $API_KEY"
応答の例(406)
操作は利用できません
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
応答の例(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
応答の例(200)
{
"count": 42,
"keys": [
{
"created_at": "string",
"created_by": "string",
"description": "string",
"expires_at": "string",
"id": "string",
"is_active": true,
"last_used_at": "string",
"org_id": "string",
"project_id": "string",
"revoked_at": "string",
"revoked_by": "string",
"token_prefix": "string",
"user_id": "string"
}
],
"success": true
}
応答の例(200)
{
"count": 42,
"keys": [
{
"created_at": "string",
"created_by": "string",
"description": "string",
"expires_at": "string",
"id": "string",
"is_active": true,
"last_used_at": "string",
"org_id": "string",
"project_id": "string",
"revoked_at": "string",
"revoked_by": "string",
"token_prefix": "string",
"user_id": "string"
}
],
"success": true
}
応答の例(401)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(401)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(500)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(500)
{
"code": "string",
"error": "string",
"success": true
}